Protected Types | Protected Member Functions | Protected Attributes

# SmallMapWindow::LinkLineDrawer Class Reference

Inheritance diagram for SmallMapWindow::LinkLineDrawer:

## Protected Types
typedef std::set< uint16 > | ColourSet
## Protected Member Functions
virtual void | DrawForwBackLinks (StationID sta, StationID stb)
virtual void | AddLink (const LinkStat &orig_link, const FlowStat &orig_flow, const LegendAndColour &cargo_entry)
virtual void | Highlight ()
virtual void | DrawContent ()
## Protected Attributes
ColourSet | colours
bool | highlight

## Detailed Description

Definition at line 2497 of file smallmap_gui.cpp.

The documentation for this class was generated from the following file:

- src/smallmap_gui.cpp